Name:           perl-MooX-Options
Version:        4.023
Release:        2%{?dist}
Summary:        Explicit Options eXtension for Object Class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooX-Options/
Source0:        http://search.cpan.org/CPAN/authors/id/C/CE/CELOGEEK/MooX-Options-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build) >= 0.4211
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Record)
BuildRequires:  perl(Getopt::Long) >= 2.43
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.099
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(Locale::TextDomain)
# 1.003001 from Moo in META.json which is not used
BuildRequires:  perl(Moo::Role) >= 1.003001
BuildRequires:  perl(MooX::ConfigFromFile::Role)
BuildRequires:  perl(overload)
BuildRequires:  perl(parent)
BuildRequires:  perl(Path::Class) >= 0.32
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Text::LineFold)
# Optional run-time:
BuildRequires:  perl(Term::Size::Any)
# Tests:
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Import::Into)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(Mo)
BuildRequires:  perl(Mo::coerce)
BuildRequires:  perl(Mo::default)
BuildRequires:  perl(Mo::required)
BuildRequires:  perl(Moo) >= 1.003001
BuildRequires:  perl(Moose)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Role::Tiny::With)
BuildRequires:  perl(Test::More) >= 0.94
# Test::Requires could be patched out, but is required for t/00-compile.t to succeed, even when t/pod test is not run
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(Try::Tiny)
# Optional tests:
# English not used
BuildRequires:  perl(MooX::Cmd) >= 0.07
# Pod::Coverage::TrustPod not used
# Test::Kwalitee::Extra not used
# Test::Pod 1.46 not used
# Test::Pod::Coverage 1.08 not used
# Test::Vars not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(JSON::MaybeXS)
# 1.003001 from Moo in META.json which is not used
Requires:       perl(Moo::Role) >= 1.003001
Requires:       perl(MooX::ConfigFromFile::Role)
Requires:       perl(Text::LineFold)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Getopt::Long::Descriptive|Moo::Role)\\)$

%description
Create a command line tool with your Mo, Moo, Moose objects.

%prep
%setup -q -n MooX-Options-%{version}
chmod -c -x lib/MooX/Options.pm

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes etc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.023-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 25 2016 Jitka Plesnikova <jplesnik@redhat.com> - 4.023-1
- 4.023 bump

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 4.022-4
- Perl 5.24 rebuild

* Fri May 06 2016 Petr Pisar <ppisar@redhat.com> - 4.022-3
- Add run-time dependency on Text::LineFold (bug #1307852)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.022-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 4.022-1
- 4.022 bump

* Fri Jul 17 2015 Petr Pisar <ppisar@redhat.com> - 4.018-1
- Update to 4.018 (thankt to Emmanuel Seyman)
- Clean up spec file

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.015-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 4.015-2
- Perl 5.22 rebuild

* Sat Jan 24 2015 David Dick <ddick@cpan.org> - 4.015-1
- Generate warning when missing required params

* Wed Nov 26 2014 David Dick <ddick@cpan.org> - 4.013-1
- Adding autorange support

* Tue Oct 14 2014 David Dick <ddick@cpan.org> - 4.012-2
- Added missing dependency Text::LineFold

* Tue Oct 14 2014 David Dick <ddick@cpan.org> - 4.012-1
- Upgrade to 4.012

* Tue Sep 09 2014 Jitka Plesnikova <jplesnik@redhat.com> - 4.009-2
- Perl 5.20 mass

* Wed Aug 27 2014 David Dick <ddick@cpan.org> - 4.009-1
- Initial release
